Start MCP OAuth for a new secret
curl --request POST \
--url https://api.omnara.com/v1/orgs/{orgID}/secrets/mcp-oauth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": {
"kind": "org"
},
"mcp_url": "<string>",
"name": "<string>",
"return_to": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"scopes": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/secrets/mcp-oauth"
payload = {
"owner": { "kind": "org" },
"mcp_url": "<string>",
"name": "<string>",
"return_to": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"scopes": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: {kind: 'org'},
mcp_url: '<string>',
name: '<string>',
return_to: '<string>',
client_id: '<string>',
client_secret: '<string>',
scopes: ['<string>'],
metadata: {}
})
};
fetch('https://api.omnara.com/v1/orgs/{orgID}/secrets/mcp-oauth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flow_id": "<string>",
"authorization_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Secrets
Start MCP OAuth for a new secret
POST
/
orgs
/
{orgID}
/
secrets
/
mcp-oauth
Start MCP OAuth for a new secret
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Body
application/json
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Minimum string length:
1Human-readable name. Spaces and punctuation are allowed; leading or trailing whitespace and invisible or control characters are not.
Required string length:
1 - 64User-supplied metadata for the stored secret. A restriction of Metadata that leaves room for one reserved pair - Omnara sets mcp_url on the secret to the flow's MCP endpoint URL, so the key is reserved and at most 15 user pairs are accepted.
Show child attributes
Show child attributes
⌘I